# Package

version       = "0.1.0"
author        = "nocturn9x"
description   = "A chess engine written in nim"
license       = "Apache-2.0"
srcDir        = "nimfish"
binDir        = "bin"
installExt    = @["nim"]
bin           = @["nimfish"]


# Dependencies

requires "nim >= 2.0"
requires "jsony >= 1.1.5"


after build:
  exec "nimble test"


task test, "Runs the test suite":
  exec "python tests/suite.py -d 5 --bulk"
